Skip to main content
`Ctrl`+`K`

# PetscHMapIJQueryDel

Query and remove a (key,value) entry from the hash table

## Synopsis

    #include <petsc/private/hashmapij.h>
    PetscErrorCode PetscHMapIJQueryDel(PetscHMapIJ ht, struct {PetscInt i, j;} key, PetscBool *present)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameter

- present - Boolean indicating whether the key was present

## See Also

`PetscHMapIJQuerySet()`, `PetscHMapIJDel()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages